cURL
curl -X GET 'https://api.telegent.com/v1.0/account/products' \
-H 'Authorization: Bearer YOUR_TOKEN'import requests
url = "https://api.telegent.com/v1.0/account/products"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.telegent.com/v1.0/account/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"DistributorId": "DID-1e24785ab-3f3c-7db1-89d7-956d80fdnn2",
"TotalProducts": 1,
"Filter": "All",
"Results": [
{
"ProductId": "PRID-d9e74d70-3ca8-40f3-a415-e1194b0f8936",
"SKU": "eSim",
"Description": "Telegent eSim 1.0",
"AggregatorId": "AGID-1e24785ab-3f3c-7db1-89d7-956d80fdnn2",
"DistributorId": null,
"Type": "Type 1.1",
"SubType": "1",
"Cost": 34.56,
"BillingFrequency": "1",
"Active": true
},
{
"ProductId": "PRID-93d4fb71-8574-42ee-abc6-4c54f8240743",
"SKU": "eSim Vince 2.0",
"Description": "Telegent eSim",
"AggregatorId": "AGID-1e24785ab-3f3c-7db1-89d7-956d80fdnn2",
"DistributorId": null,
"Type": "esim",
"SubType": "0",
"Cost": 12.34,
"BillingFrequency": "1",
"Active": true
}
]
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}Accounts
Get Products
Retrieve a list of all products available in your account. Use the optional Filter parameter to filter by product status (e.g., Active, All).
What this does: Returns a list of products available on the account. Products define the base service capabilities that are bundled into packages.
Next steps:
- Get product details —
GET /v1.0/products - Create a product —
POST /v1.0/products
GET
/
v1.0
/
account
/
products
cURL
curl -X GET 'https://api.telegent.com/v1.0/account/products' \
-H 'Authorization: Bearer YOUR_TOKEN'import requests
url = "https://api.telegent.com/v1.0/account/products"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.telegent.com/v1.0/account/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"DistributorId": "DID-1e24785ab-3f3c-7db1-89d7-956d80fdnn2",
"TotalProducts": 1,
"Filter": "All",
"Results": [
{
"ProductId": "PRID-d9e74d70-3ca8-40f3-a415-e1194b0f8936",
"SKU": "eSim",
"Description": "Telegent eSim 1.0",
"AggregatorId": "AGID-1e24785ab-3f3c-7db1-89d7-956d80fdnn2",
"DistributorId": null,
"Type": "Type 1.1",
"SubType": "1",
"Cost": 34.56,
"BillingFrequency": "1",
"Active": true
},
{
"ProductId": "PRID-93d4fb71-8574-42ee-abc6-4c54f8240743",
"SKU": "eSim Vince 2.0",
"Description": "Telegent eSim",
"AggregatorId": "AGID-1e24785ab-3f3c-7db1-89d7-956d80fdnn2",
"DistributorId": null,
"Type": "esim",
"SubType": "0",
"Cost": 12.34,
"BillingFrequency": "1",
"Active": true
}
]
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}Query Parameters
Filter by status (e.g., Active, Inactive, All)
Response
Get Products List
The response is of type object.
⌘I